import axios from "axios";

const state = {
    grupo_de_compra_id: null,
    grupo_de_compra: null
};

const mutations = {
    setState(state, { grupo_de_compra }) {
        state.grupo_de_compra_id = grupo_de_compra.id;
        state.grupo_de_compra = grupo_de_compra.nombre;
    }
};

const actions = {
    async getGrupoDeCompra({ commit }) {
        const response = await axios.get('/user/grupo_de_compra');
        commit('setState', response.data);
    },
};

export default {
    namespaced: true,
    state,
    mutations,
    actions,
};
