import Vue from 'vue';
import Vuex from 'vuex';
import admin from "./modules/admin";
import login from "./modules/login";
import chismosa from "./modules/chismosa";
import session from "./modules/session";

Vue.use(Vuex);

export default new Vuex.Store({
    modules: {
        admin,
        login,
        chismosa,
        session,
    },
});
